
Name:		jpegoptim
Version:	1.4.4
Release:	1%{?dist}
Summary:	Utility to optimize JPEG files

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://www.kokkonen.net/tjko/projects.html

Source0:	http://www.kokkonen.net/tjko/src/%{name}-%{version}.tar.gz

%{?el5:BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)}

BuildRequires:	coreutils
BuildRequires:	gcc
BuildRequires:	libjpeg-devel
BuildRequires:	make

%description
Jpegoptim is an utility to optimize JPEG files. Provides lossless optimization
(based on optimizing the Huffman tables) and "lossy" optimization based on
setting maximum quality factor.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
%if 0%{?el5}
rm -rf %{buildroot}
%endif
install -Dpm 0755 jpegoptim %{buildroot}/%{_bindir}/jpegoptim
install -Dpm 0644 jpegoptim.1 %{buildroot}/%{_mandir}/man1/jpegoptim.1


%if 0%{?el5}
%clean
rm -rf %{buildroot}
%endif


%files
%{!?_licensedir:%global license %doc}
%license COPYRIGHT COPYING
%doc README
%{_bindir}/jpegoptim
%{_mandir}/man1/*.1*


%changelog
* Sat Sep 03 2016 Denis Fateyev <denis@fateyev.com> - 1.4.4-1
- Update to version 1.4.4
- Remove unneeded error handling patch

* Sat Feb 20 2016 Denis Fateyev <denis@fateyev.com> - 1.4.3-4
- Added detailed error handling patch
- Modernized the package spec

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 19 2015 Denis Fateyev <denis@fateyev.com> - 1.4.3-1
- Update to version 1.4.3

* Tue Dec 23 2014 Denis Fateyev <denis@fateyev.com> - 1.4.2-1
- Update to version 1.4.2

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Denis Fateyev <denis@fateyev.com> - 1.4.1-1
- Update to version 1.4.1

* Sat May 03 2014 Denis Fateyev <denis@fateyev.com> - 1.3.1-1
- Update to version 1.3.1

* Tue Jan 07 2014 Denis Fateyev <denis@fateyev.com> - 1.3.0-1
- Initial Fedora RPM package
